Bug 840801 - Subscription appear to be invalid even though they are valid based on the subsciption end date
Subscription appear to be invalid even though they are valid based on the sub...
Status: CLOSED WORKSFORME
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Bryan Kearney
SAM QE List
: Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-07-17 05:12 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-29 14:09:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
subscription error (105.43 KB, image/png)
2012-07-17 05:12 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-07-17 05:12:36 EDT
Created attachment 598592 [details]
subscription error

Description of problem:
A valid manifests is forcefully uploaded.
registered systems are subscribed to those subscriptions
the subscriptions appear invalid

Version-Release number of selected component (if applicable):

[root@nec-em9 ~]# rpm -qa | grep katello
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.30-1.fc16.noarch
katello-headpin-all-0.2.24-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-cli-common-0.2.43-1.fc16.noarch
katello-glue-candlepin-0.2.45-1.fc16.noarch
katello-cli-headpin-0.1.19-1.fc16.noarch
katello-headpin-0.2.24-1.fc16.noarch
katello-common-0.2.45-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch



How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=sam

Steps to Reproduce:
1.Login to SAM WebUI
2.Navigate Content tab
3.Go to RedHat subscription
4.Upload a manifests forcefully
5.Navigate to Systems tab
6.Select the registered system
7. Click on any of the system 
8.Subscribe to the uploaded products
9.Subscriptions appear invalid
  
Actual results:
Subscriptions appear invalid


Expected results:
the system should be subscribed
and subscriptions should appear valid
based on the end date displayed.

Additional info:
screen shot attached
Comment 1 Tom McKay 2012-10-29 14:09:17 EDT
If this is still an issue, please re-open.

Note You need to log in before you can comment on or make changes to this bug.